LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Suse/Novell (http://www.linuxquestions.org/questions/suse-novell-60/)
-   -   Upgrading from 8.2 to 9.1, please help. (http://www.linuxquestions.org/questions/suse-novell-60/upgrading-from-8-2-to-9-1-please-help-258342/)

skydart 11-23-2004 09:23 AM

Upgrading from 8.2 to 9.1, PLEASE offer advice
 
I have a paid for legal copy of SuSE 8.2 with all of it's original disks and all, plus I have a copy of 9.1 (one disk) that I downloaded from the internet.

At present, I have loaded 9.1 on my system, and when attempting to do a KDE update to 3.3, it tells me that I have 44 "conflicts". I'm assuming that it wants files from the other CD's that I should have if I have 9.1, but I don't. Now, here's my question:

If I install 8.2, and install with the other 8.2 CD's that I have, will I be able to update to 9.1 via YaST, and if I do that, will I then be able to update to KDE 3.3 without having 44 conflicts? Please say "yes" with a detailed explanation :D

Pingus 11-23-2004 01:00 PM

Just to make sure, the CD you are talking about was burnt from the ISO image of SuSE's boot CD? And you are doing an install/update from ftp, right?

pilotgi 11-23-2004 01:52 PM

Re: Upgrading from 8.2 to 9.1, PLEASE offer advice
 
Quote:

Originally posted by skydart

If I install 8.2, and install with the other 8.2 CD's that I have, will I be able to update to 9.1 via YaST, and if I do that, will I then be able to update to KDE 3.3 without having 44 conflicts? Please say "yes" with a detailed explanation :D

No, you can't update to 9.1 with YaST. You can update kde after installing 9.1. To minimize dependency issues, only update the kde packages that are already installed. YaST can tell you everything related to kde that is installed. Or you can use the command

rpm -qa | grep kde*.rpm

Don't forget the programs that aren't named kde, like tag-lib and libart.


All times are GMT -5. The time now is 09:38 AM.